% Input: category, list of strings
% partial_parse(?Category,+ListofStrings,-Tree,-Sem)


partial_parse(disc,ListOfStrings,Tree,Sem) :-
	t(Tree,[sem:Sem],ListOfStrings,[]).

partial_parse(s,ListOfStrings,Tree,Sem) :-
	s(Tree,[_,sem:Sem],ListOfStrings,[]).

partial_parse(s,ListOfStrings,Tree,Sem) :-
	q(Tree,[sem:Sem],ListOfStrings,[]).

partial_parse(vp,ListOfStrings,Tree,Sem) :-
	sinv(Tree,[_,sem:Sem],ListOfStrings,[]).

partial_parse(vp,ListOfStrings,Tree,Sem) :-
	vp(Tree,[_,_,_,_,sem:Sem],ListOfStrings,[]).

partial_parse(np,ListOfStrings,Tree,Sem) :-
	np(Tree,[_,_,gap:[],sem:Sem],ListOfStrings,[]).

partial_parse(wh_np,ListOfStrings,Tree,Sem) :-
	whnp(Tree,[_,sem:Sem],ListOfStrings,[]).

partial_parse(n1,ListOfStrings,Tree,Sem) :-
	n(Tree,[_,sem:Sem],ListOfStrings,[]).

partial_parse(nmod,ListOfStrings,Tree,Sem) :-
	nmod(Tree,[sem:Sem],ListOfStrings,[]).

partial_parse(pp,ListOfStrings,Tree,Sem) :-
	pp(Tree,[sem:Sem],ListOfStrings,[]).

partial_parse(rc,ListOfStrings,Tree,Sem) :-
	rc(Tree,[sem:Sem],ListOfStrings,[]).


% next clause:
% cut prevents morphologically identical words from being
% parsed multiple times (resulting in identical representations
% consequence:
% lexical representations (of single string lex items) cannot
% be generated by calling pp_cat/2 with pp_cat(word,[_]).

partial_parse(word,ListOfStrings,Tree,Sem) :-
	iv(Tree,[_,_,sem:Sem],ListOfStrings,[]), !
	;
	tv(Tree,[_,_,sem:Sem],ListOfStrings,[]), !
	;
	cop(Tree,[_,_,sem:Sem],ListOfStrings,[]), !
	;
	det(Tree,[_,_,sem:Sem],ListOfStrings,[]), !
	;
	pn(Tree,[sem:Sem],ListOfStrings,[]), !
	;
	relpro(Tree,[sem:Sem],ListOfStrings,[]), !
	;
	prep(Tree,[sem:Sem],ListOfStrings,[]), !
	;
	adj(Tree,[sem:Sem],ListOfStrings,[]), !
	;
	av(Tree,[_,_,sem:Sem],ListOfStrings,[]), !
	;
	coord(Tree,[_,sem:Sem],ListOfStrings,[]), !
	;
	qnp(Tree,[_,sem:Sem],ListOfStrings,[]), !
	;
	noun(Tree,[sem:Sem],ListOfStrings,[]).